tmp: Code cleanup

This commit is contained in:
Salt 2018-11-22 02:43:48 -06:00
parent cc2ca23837
commit e6be305258

9
tmp
View File

@ -14,7 +14,10 @@ tmpdir="$(mktemp -d)"
# Define functions
function log() {
[ -z ${1+x} ] && return 1
printf "${name}: $1\n"
# shellcheck disable=1117
printf "%b: %s\n" \
"$name" \
"$1"
}
function cleanup() {
rm -rf "${tmpdir}"
@ -23,8 +26,8 @@ trap "cleanup" EXIT
# Do the do
log "This folder will be removed when this shell exits"
(
cd "${tmpdir}"
$SHELL
cd "${tmpdir}" || exit 50
exec "$SHELL"
)
cleanup